class Schlaeger {
  PVector pos;  //Ortvektor: (x|y) Die Mitte des Schläger 
  float w,h,r;  //width, height, radius des Paddels
  boolean zeigeScheinwerfer;
  
  Schlaeger() {
    w = 60;  //Breite des Schlägers
    h = 10;  //Höhe des Schlägers
    r = w/2;
    pos = new PVector(width/2,0.9*height-h);
    zeigeScheinwerfer = false;
  }
  
  void update() {
    pos.x = constrain(mouseX,r,width-r);
  }
  
  void show() {
    fill(255);
    rect(pos.x-r,pos.y,w,h);
    
    //Markieren der Mitte des Schlaegers
    fill(255,0,0);
    ellipse(pos.x,pos.y,4,4);
    
    //Scheinwerfer
    if (zeigeScheinwerfer) {
      fill(255,255,0);
      rect(spieler.pos.x-spieler.r,0,2*spieler.r,spieler.pos.y);
    }
    zeigeScheinwerfer = false;

  }
}
