class Ball {
  PVector pos;
  PVector speed;
  float r;
  
  Ball() {
    r = 5;
    init();
  }
  
  void init() {
    pos = new PVector(width/2,height/2);
    speed = new PVector(random(-1,1),random(-7,-4));
    speed.limit(3);
  }
  
  void update() {
    //Abprallen
    //Links ODER rechts
    if (pos.x < r || pos.x > width-r) {
      speed.x *= -1;
    }
    //Oben abprallen
    if (pos.y < r) {
      speed.y *= -1; 
    }
    //Unten raus
    if (pos.y>spieler.pos.y+spieler.h) {
      //Jetzt verliert man ein Leben
      //Der Spielball ist unterhalb des Schlägers
      init();
      lifes--;
    }
    //Wenn der Schläger getroffen wurde
    if (trifftSchlaeger()) {
      //Was soll dann passieren?
      //Geschwindigkeit in y-Richtung muss umgekehrt werden
      speed.y *= -1;
      speed.x = (pos.x-spieler.pos.x)/10;
      
    }
    pos.add(speed);
  }
  
  boolean trifftSchlaeger() {
    boolean  schlaegerGetroffen = false;
    if (pos.x > spieler.pos.x-spieler.r &&
        pos.x < spieler.pos.x+spieler.r) {
      //Das ist der Scheinwerfer
      //spieler.zeigeScheinwerfer = true;      
      if (pos.y+r > spieler.pos.y) {
        schlaegerGetroffen = true;
      }
    }
    return schlaegerGetroffen;
  }
  
  void show() {
    fill(255);
    ellipse(pos.x,pos.y,2*r,2*r);
  }
}
