Schlaeger spieler;
Ball spielball;
int lifes;
int points;
int gameState;
Stein[][] steine; //2dimensionales Array / Tabelle für die Steine
int anzahlDerSteinreihen = 5;
int anzahlDerSteinspalten = 8;


void setup() {
  size(600,400);
  background(0);
  
  spielball = new Ball();
  spieler = new Schlaeger();
  
  steine = new Stein[anzahlDerSteinreihen][anzahlDerSteinspalten]; //5 Reihen, 8 Spalten
  for (int reihenNr = 0; reihenNr<anzahlDerSteinreihen; reihenNr++) {
    for (int spaltenNr = 0; spaltenNr<anzahlDerSteinspalten; spaltenNr++) {
      //Anlegen eines neuen Steins
      steine[reihenNr][spaltenNr] = new Stein(reihenNr,spaltenNr,anzahlDerSteinspalten,1);
    }
  }
  
  
  lifes = 3;
  points = 0;
  
  gameState = 1;
  
  //noCursor();
}

void draw() {
  background(0);
  //println(gameState);
  switch(gameState) {
    
    case 1:   //Zeige Anleitung
              zeigeStartbildschirm();
              break;
              
    case 10:  //Spielen Level 1
              spielenLv1();
              showInfos();
              checkLifes();
              break;
              
    case 100: //Ende
              zeigeEndbildschirm();
              break;
  }
  
}

void checkLifes() {
  if (lifes==0) {
    gameState = 100;
  }
}


void spielenLv1() {
  spieler.update();
  spieler.show();

  spielball.update();
  spielball.show();
  
  //Steine anzeigen
  for (int reihenNr = 0; reihenNr<anzahlDerSteinreihen; reihenNr++) {
    for (int spaltenNr = 0; spaltenNr<anzahlDerSteinspalten; spaltenNr++) {
      //Anlegen eines neuen Steins
      steine[reihenNr][spaltenNr].checkBall();
      steine[reihenNr][spaltenNr].show();
    }
  }
  
  //Punkt hochzählen
  if(frameCount%20 == 0) {
    points++;
  } 
}


void keyReleased() {
  //println(keyCode);
  switch(gameState) {
    
    case 1:   //Zeige Anleitung
              switch (keyCode) {
                case 32:  //Leerzeichen; Übergang von gameState=1(Start) zu Spielen
                          gameState = 10;
                          break;
              }
              break;
              
    case 10:  //Spielen Level 1
              break;
              
    case 100: //Ende
              switch (keyCode) {
                case 78:  //Taste n: Spiel beenden
                          exit();
                          break;
                case 89:  //Taste y: Neustart
                          restartUndInitGame();
                          break;
              }
              break;
  }
}

void restartUndInitGame() {
  gameState = 1;
  lifes = 3;
  points = 0;
  for (int reihenNr = 0; reihenNr<anzahlDerSteinreihen; reihenNr++) {
    for (int spaltenNr = 0; spaltenNr<anzahlDerSteinspalten; spaltenNr++) {
      //Anlegen eines neuen Steins
      steine[reihenNr][spaltenNr] = new Stein(reihenNr,spaltenNr,anzahlDerSteinspalten,1);
    }
  }
}


void zeigeStartbildschirm() {
  fill(255);
  textSize(48);
  textAlign(CENTER);
  text("Ingos Breakout",width/2,height/2-100);
  
  //Erklärung
  
  
  textSize(24);
  text("Leerzeichentaste zum Starten",width/2,height/2+100);
}

void zeigeEndbildschirm() {
  fill(255);
  textSize(48);
  textAlign(CENTER);
  text("ENDE",width/2,height/2-100);
  
  //Erklärung
  
  
  textSize(24);
  text("Y zum Neustart, N zum Beenden",width/2,height/2+100);
}

void showInfos() {
  fill(255);
  textSize(24);
  textAlign(CENTER);
  text("Ingos Breakout",width/2, height-12);
  
  fill(255);
  textSize(18);
  textAlign(LEFT);
  text("Punkte:"+points,10, height-9);
  
  fill(255);
  textSize(18);
  textAlign(RIGHT);
  text("Leben: "+lifes,width-10, height-9);
}
