class Stein {
  float x,y,w,h;
  int steinAnzahl; //Anzahl der Steine pro Reihe
  int r,g,b;
  boolean sichtbar;
  int festigkeit;
  int yOffset = 50;
  
  Stein(int reihe, int spalte, int neueAnzahlAnSteinenProReihe, int neueFestigkeit) {
     steinAnzahl =  neueAnzahlAnSteinenProReihe;
     w = width / steinAnzahl;
     h = 20;
     x = w*spalte;
     y = h*reihe+yOffset;
     r = 255;
     g = 255;
     b = 0;
     sichtbar = true;
     festigkeit = neueFestigkeit;
  }
  
  void show() {
    if (sichtbar) {
       //fill(r,g,b,festigkeit*51);
       fill(r,g,b);
       rect(x,y,w,h);
    }
  }
  
  void checkBall() {
    if (sichtbar) {
      //Unten
      if (spielball.pos.x > x && spielball.pos.x < x+w && 
          spielball.pos.y < y+h+spielball.r && spielball.pos.y > y+h) {
            spielball.speed.y *= -1;
            //spielball.speed.x = (spielball.pos.x-(x+w/2))/5;
            if (festigkeit==1) {
              sichtbar = false;
            } else {
              festigkeit--;  
            }
      }
      //Oben
      if (spielball.pos.x > x && spielball.pos.x < x+w && 
          spielball.pos.y > y-spielball.r && spielball.pos.y < y) {
            spielball.speed.y *= -1;
            if (festigkeit==1) {
              sichtbar = false;
            } else {
              festigkeit--;  
            }
      }
      //Links
      if (spielball.pos.x < x && spielball.pos.x+spielball.r > x && 
          spielball.pos.y < y+h && spielball.pos.y > y) {
            spielball.speed.x *= -1;
            if (festigkeit==1) {
              sichtbar = false;
            } else {
              festigkeit--;  
            }
      }
      //Rechts
      if (spielball.pos.x > x+w && spielball.pos.x-spielball.r < x+w && 
          spielball.pos.y < y+h && spielball.pos.y > y) {
            spielball.speed.x *= -1;
            if (festigkeit==1) {
              sichtbar = false;
            } else {
              festigkeit--;  
            }
      }
      
    }
  }
  
}
